Issue #268 resolved

python 2.5 and "with"

Thomas Waldmann
created an issue

"with" is not a statement in python 2.5 except if one does:

{{{ from future import with_statement }}}

Whoosh code misses that future import, see:

https://bugs.gentoo.org/show_bug.cgi?id=424131

Comments (4)

  1. Matt Chaput repo owner

    Well, it's pretty clear why no tests failed for nested.py or scoring.py... they don't use the with statement.

    As for multiproc.py, the tests for it are being skipped on the Jenkins machine because it doesn't have the multiprocessing module installed (it was only added in Python 2.6). I can try to figure out how to use Jenkin's (horrible) configuration interface to get it to install multiprocessing from PyPI before building.

  2. Log in to comment